class Pickup
{
  PImage img;
  String imgstring;
  boolean active;
  float xpos, ypos;
  int endtime;
  int lifetime = 5000;
  
  Pickup(String imagestring)
  {
    imgstring = imagestring;
    img = loadImage(imgstring + ".png");
    active = false;
  }
  
  void render()
  {
      if(millis() >= endtime)
      {
        deactivate();
      }
      else
      {
        image(img, xpos, ypos);
      }        
  }
  
  void activate()
  {
    active = true;
    xpos = random(width - img.width);
    ypos = random(height - 60 - img.height);
    endtime = millis() + lifetime;
  }
  
  void deactivate()
  {
    active = false;
  }
  
  void checkForPlayerHit(float currentRadius)
  {
    float hw = img.width/2.0;
    float distance = dist(mouseX, mouseY, xpos + hw, ypos + hw);
    if(distance < currentRadius) 
    {
      // player picks up the pickup; what happens depends on function
      setBPM(getBPMValue());
      deactivate();      
    }   
  }

  int getBPMValue()
  {
    return parseInt(imgstring.substring(0, 3));
  }
}
