class Radiation
{
  int nrCircles = 3;
  int[] diameters = new int[nrCircles];
  int[] graytones = new int[nrCircles];
  int dia_incr = 1;
  int gray_decr = 3;

  Radiation()
  {
    int gstep = 255/nrCircles;
    int dstep = getMaxRadius()/nrCircles;
    for(int c = 0; c < nrCircles; c++)
    {
      graytones[c] = 255 - c * gstep;
      diameters[c] = c * dstep;
    }
  }

  void render()
  {
    for(int e = 0; e < nrCircles; e++)
    {
      diameters[e] += dia_incr;
      graytones[e] -= gray_decr;
      if(graytones[e] <= 0)
      {
        diameters[e] = 0;
        graytones[e] = 255;
      }
      stroke(graytones[e]);
      noFill();
      ellipse(mouseX, mouseY, diameters[e], diameters[e]);
    }
  }

  int getMaxRadius()
  {
    return dia_incr * (255/gray_decr);
  }

  int getOuterRadius()
  {
    // look for the radius belonging to the smallest circle
    // where it's gray value is above 30
    int smallestgray = 255;
    int index = -1;
    for(int i = 0; i < nrCircles; i++)
    {
      if(graytones[i] < smallestgray && graytones[i] > 30)
      {
        smallestgray = graytones[i];
        index = i;
      }
    }
    return diameters[index];
  }
}   
